/* MOBILE: accordéon */
@media (max-width: 768px) {
    .ws-main-container {
        flex-direction: column;
        margin: auto;
        justify-content: center;
        align-items: center;
    }

    .ws-acc-content {
        /* fermé par défaut */
        margin-top: 10px;
    }

    .ws-site-map-category.is-open .ws-acc-content {
        display: block;
        /* ouvert */
    }

    .ws-site-map-category.is-open .ws-acc-btn {
        /* Optionnel: style quand ouvert */
    }

    .ws-acc-content {
        overflow: hidden;
        max-height: 0;
        opacity: 0;
        transform: translateY(-8px);
        transition:
            max-height 0.45s cubic-bezier(.4, 0, .2, 1),
            opacity 0.25s ease-out,
            transform 0.35s ease-out;
        will-change: max-height, opacity, transform;
    }

    .ws-site-map-category.is-open .ws-acc-content {
        max-height: 2000px;
        opacity: 1;
        transform: translateY(0);
    }

    .ws-acc-btn {
        transition: transform 0.25s ease;
    }

    .ws-site-map-category.is-open .ws-acc-btn {
        transform: rotate(180deg);
    }
    
}

/* DESKTOP: on garde le comportement classique */
@media (min-width: 769px) {
    .ws-acc-btn {
        display: none;
        /* pas de bouton + sur PC */
    }

}